$(document).ready(function() {
    $("#SiteContent_chkProductMonth input").bind("click", function() {
        var allchecked = "true";
        $("#SiteContent_chkProductMonth input").each(function(index, obj) {
            if (!obj.checked) {
                allchecked = "false";
            }
            if (allchecked == "true")
                $("#SiteContent_chkAllProduct").attr("checked", true);
            else
                $("#SiteContent_chkAllProduct").attr("checked", false);

        })

    })


    $("#SiteContent_chkGiftMonth input").bind("click", function() {
        var allchecked = "true";
        $("#SiteContent_chkGiftMonth input").each(function(index, obj) {
            if (!obj.checked) {
                allchecked = "false";
            }
            if (allchecked == "true")
                $("#SiteContent_chkAllGift").attr("checked", true);
            else
                $("#SiteContent_chkAllGift").attr("checked", false);

        })

    })

    checkedProductAll();

    checkedGiftAll();
}
);


function checkedProductAll() {

    $("#SiteContent_chkAllProduct").bind("click", function() {

        if ($("#SiteContent_chkAllProduct").attr("checked")) {
            $("#SiteContent_chkProductMonth input").each(function(index, obj) {
                $(obj).attr("checked", true);
            })

        }

        else {
            $("#SiteContent_chkProductMonth input").each(function(index, obj) {
                $(obj).attr("checked", false);
            })
        }

    })

}


function checkedGiftAll() {

    $("#SiteContent_chkAllGift").bind("click", function() {

    if ($("#SiteContent_chkAllGift").attr("checked")) {
        $("#SiteContent_chkGiftMonth input").each(function(index, obj) {
                $(obj).attr("checked", true);
            })

        }

        else {
            $("#SiteContent_chkGiftMonth input").each(function(index, obj) {
                $(obj).attr("checked", false);
            })
        }

    })

}



